Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.annotation
Class AnnotationInfoManager

    java.lang.Object
      org.apache.myfaces.orchestra.annotation.AnnotationInfoManager

    public class AnnotationInfoManager

extends java.lang.Object

Inspects a class for Orchestra annotations, and if found then caches this information for later access.

The processing of Class objects is expected to happen only at application startup.

Note that annotation scanning is driven by the dependency-injection framework, i.e. only classes declared to the framework are scanned.

Constructor Summary
`AnnotationInfoManager()`

Method Summary
`protected void` | `addAnnotationsInfo(AnnotationInfo annotationInfo)`
`AnnotationInfo` | `getAnnotationInfoByBeanName(java.lang.String beanName)`
`AnnotationInfo` | `getAnnotationInfoByViewId(java.lang.String viewId)`
`void` | `processBeanAnnotations(java.lang.String beanName, java.lang.Class<?> clazz)` Inspect the provided class for annotations, and if found then cache the info keyed by the specified beanName.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationInfoManager

    public AnnotationInfoManager()

Method Detail

### addAnnotationsInfo

    protected void addAnnotationsInfo(AnnotationInfo annotationInfo)

### getAnnotationInfoByBeanName

    public AnnotationInfo getAnnotationInfoByBeanName(java.lang.String beanName)

### getAnnotationInfoByViewId

    public AnnotationInfo getAnnotationInfoByViewId(java.lang.String viewId)

### processBeanAnnotations

    public void processBeanAnnotations(java.lang.String beanName,
                                       java.lang.Class<?> clazz)

  Inspect the provided class for annotations, and if found then cache the info keyed by the specified beanName.

  Currently the class-level annotations looked for are:

  - ConversationName
  - ConversationRequire
  - ViewController

  If the ViewController annotation is present, then the class is also scanned for related annotations on class methods.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.